Bug 247259 - OOwriter dies when editing a picture from OODraw
OOwriter dies when editing a picture from OODraw
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Navratil
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-06 09:26 EDT by Paul F. Johnson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-03 07:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2007-07-06 09:26:08 EDT
Description of problem:
If you copy a diagram from OODraw into OOWriter, double click on the diagram to
edit the diagram and then click back into the document to continue editting,
OOWriter dies.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Copy special a diagram from OODraw into OOWriter
2. Double click on the diagram to edit
3. Click back in the document to continue editting
Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nv_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-15-x86_64 libgcj-4.1.2-15-i386
(V)    kernel is: Linux 2.6.21-1.3243.fc8 #1 SMP Sat Jun 30 18:28:38 EDT 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.2.1-18.4.fc8-x86_64
(VII)    depth of root window:    24 planes
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 7.89 (Rawhide)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sdb1             79373160  35224892  40116272  47% /home
                      76241920  12087768  60218716  17% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x0000003e0b2369c7: 0x00000000001eab48:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x369c7
0x0000003e0b23749a: 0x00000000001eab48:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x3749a
0x00000033d1630620: 0x0000000000149b60: /lib64/libc.so.6 + 0x30620
0x0000000000e81c00: ????????
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff2fffd000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x00002aaaaad38000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x00002aaaab324000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x00002aaaab5c4000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x00002aaaab7e3000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00002aaaaba00000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x00002aaaabc24000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x00002aaaabe2e000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x00002aaaac074000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00002aaaac2f0000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00002aaaac532000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaac736000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00002aaaac93a000)
	librt.so.1 => /lib64/librt.so.1 (0x00002aaaacb3e000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaacd48000)
	libvclplug_gen680lx.so =>
/usr/lib64/openoffice.org/program/libvclplug_gen680lx.so (0x00002aaaad00c000)
	libsoffice.so => /usr/lib64/openoffice.org/program/libsoffice.so
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00002aaaaf79b000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/program/libuno_cppu.so.3
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x00002aaab002f000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x00002aaab033a000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaab054b000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaab0766000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaab09e9000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaab0ce9000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaab0ef8000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00002aaab1248000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00002aaab144d000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00002aaab1682000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00002aaab188b000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x00002aaab1a8d000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00002aaab1c96000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00002aaab1e9d000)
	libz.so.1 => /lib64/libz.so.1 (0x00002aaab20a8000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x00002aaab22bc000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00002aaab24ee000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x00002aaab277c000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x00002aaab2986000)
	libicuuc.so.36 => /usr/lib64/libicuuc.so.36 (0x00002aaab2ba2000)
	libicui18n.so.36 => /usr/lib64/libicui18n.so.36 (0x00002aaab2ed6000)
	libicule.so.36 => /usr/lib64/libicule.so.36 (0x00002aaab321a000)
	libjvmfwk.so.3 => /usr/lib64/openoffice.org/program/libjvmfwk.so.3
	libjvmaccessgcc3.so.3 =>
/usr/lib64/openoffice.org/program/libjvmaccessgcc3.so.3 (0x00002aaab3674000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaab3879000)
	libgnomevfs-2.so.0 => /usr/lib64/libgnomevfs-2.so.0 (0x00002aaab3a7e000)
	libgconf-2.so.4 => /usr/lib64/libgconf-2.so.4 (0x00002aaab3cf4000)
	libORBit-2.so.0 => /usr/lib64/libORBit-2.so.0 (0x00002aaab3f30000)
	libjpeg.so.62 => /usr/lib64/libjpeg.so.62 (0x00002aaab419d000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaab43be000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x00002aaab45f3000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00002aaab47f5000)
	libexpat.so.0 => /lib64/libexpat.so.0 (0x00002aaab49fa000)
	libicudata.so.36 => /usr/lib64/libicudata.so.36 (0x00002aaab4c1d000)
	libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00002aaab57cc000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00002aaab5b0b000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00002aaab5d2a000)
	libssl.so.6 => /lib64/libssl.so.6 (0x00002aaab5f64000)
	libcrypto.so.6 => /lib64/libcrypto.so.6 (0x00002aaab61ae000)
	libavahi-glib.so.1 => /usr/lib64/libavahi-glib.so.1 (0x00002aaab64f5000)
	libavahi-common.so.3 => /usr/lib64/libavahi-common.so.3 (0x00002aaab66f8000)
	libavahi-client.so.3 => /usr/lib64/libavahi-client.so.3 (0x00002aaab6904000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00002aaab6b14000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002aaab6d29000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00002aaab6f45000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00002aaab7148000)
	libcap.so.1 => /lib64/libcap.so.1 (0x00002aaab7361000)
	libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00002aaab7564000)
	libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00002aaab7792000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00002aaab7a25000)
	libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00002aaab7c27000)
	libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00002aaab7e4d000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00002aaab8055000)
...end sample ldd details ...

Expected results:
It should work

Additional info:
Comment 1 Caolan McNamara 2007-07-09 03:33:40 EDT
I can't see a problem with a demo draw group copied and pasted into writer.
Perhaps attach an example. Maybe I'm not following the reproducible path property ?
Comment 2 Caolan McNamara 2007-07-10 10:58:51 EDT
Does this still happen ?
Comment 3 Caolan McNamara 2007-07-24 09:15:59 EDT
caolanm->jnavrati: I can't see this problem, can you give it a go and see if you
see anything ?

From the stack we can see that it's actually only two lines long without any
actual information as to where it crashed, perhaps like we have the bt for the
wrong thread or it was killed by the kernel OOM stuff.
Comment 4 Jan Navratil 2007-08-03 07:46:45 EDT
I tested it and I can't see anything suspicious. Copy/paste&editing operations
with diagram work without problem. Everything works fine for me then.

Note You need to log in before you can comment on or make changes to this bug.